Subject: Re: multiple separate pci bridges ...

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 06 Jan 2004 18:56:05 +1100

>
> Mmm, i understand that the 2.6.x pci domain will make this not
> necessary. I might be wrong though.

What do those register actually do ? Is there a spec of that
host bridge I can download somewhere ?

> > 	If you insert pci cards which contain bridges on them,
> > 	they only work on the bus 0 slots...
>
> bus 1 is used as an agp bus anyway, and i doubt there are many agp
> graphic cards out there with pci bridges on them. When i inserted my
> Appian Jeronimo 2000 in that board, it refused to powerup at all, but
> then, maybe it is drawing too much power or something. After all, it has
> a 3dlabs gamma and two permedia3 on it.
>
> > 	Do you have something like ppcboot or uboot starting
> > 	your system or just a kernel? If you are using a real
>
> Well, there is a customized SmartFirmware OpenFirmware on the board. I
> even have (non-free though) access to the source of it. The board is
> mostly a CHRP design.

It has an x86 BIOS emulator for running the firmwares of the video cards
?

> 	boot rom, you could try initializing the p2p registers
> > 	by hand, then booting...
>
> The Firmware guy told me don't touch it though.
>
> > 	I'm hoping to work on this in the next few days.
>
> Ok, great.
>
> Friendly,
>
> Sven Luther
>
--
Benjamin Herrenschmidt <[email-masked]>

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/